local fes = require("fes")

local site = fes.fes()

fes.app.global.start(fes, site)

site:h1("Hacking")

site:h2("Copying/license")
site:p("We only accept contributions from individuals, not corporate entities. See the project LICENSE or equivalent file you're contributing to.")

site:h2("Patches")
site:p("Please provide a clear and concise \"commit message\" for your patches.")

site:h3("patch filename format")
site:p("The expected format for patches is:")
site:p("For git revisions:")
site:code([[
toolname-patchname-YYYDDMM-SHORTHASH.patch
yait-updatething-19300101-1234abc.patch
]])
site:p([[
The YYYYMMDD date should correspond to the last time the patch has been
modified. The SHORTHASH here is the seven chars git commit short hash
corresponding to the last commit of the tool on which the patch can be applied
correctly and is working with. You can get it by taking the first seven chars
of the full hash or for example:
]])
site:code("git rev-parse --short <commit-id> (with commit-id: HEAD, commit hash, etc.)")

site:h2("patch generation")
site:p("For git:")
site:code([[
git format-patch --stdout origin/main >toolname-patchname-YYYYDDMM-SHORTHASH.patch
]])

site:h2("patch program")
site:p("For git users:")
site:code([[
git apply toolname-patchname-YYYYDDMM-SHORTHASH.patch
]])

fes.app.global.finish(fes, site)

return site
